byyt's Blog

程序员 一生无法停止学习的职业

比较低级的错误
 
今天将WEBPART部署到SPS服务器(我的电脑 :)的时候,
设置 stsadm.exe -o addwppack -filename <Web Part Package filename> 
  [-url <url> -globalinstall -force]
每次都提示命令行无效,查文档,上google,发现命令没有错误,由于我设置stsadm为PATH环境变量,以为是别的什么原因。
花费了半个小时,原来是-o中的-用了中文输入的-,,由于代码是直接拷贝之后修改的,在命令行下不怎么注意。晕了....
  
addwppack
将 Web 部件包添加到服务器的 Web 部件库。使用参数 globalinstall 可将 Web 部件库添加到服务器场中的所有服务器。使用参数 force 用新版本的 Web 部件包覆盖现有 Web 部件包,或通过重新安装来修复 Web 部件包。

必选参数 可选参数 
-filename 或 -name -url 
-globalinstall

-force
 

语法示例:

 stsadm.exe -o addwppack -filename <Web Part Package filename> 
  [-url <url> -globalinstall -force]


 
阅读更多
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

不良信息举报

比较低级的错误

最多只允许输入30个字

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭